export type SignedMessage = {
    publicKey: Uint8Array;
    signature: Uint8Array;
    parents: Uint8Array[];
    payload: unknown;
};
export declare function decodeSignedMessage(value: Uint8Array): SignedMessage;
export declare function encodeSignedMessage(signedMessage: SignedMessage): Uint8Array;
export declare function getNextClock(heads: Uint8Array[]): number;
export declare const KEY_LENGTH = 20;
export declare const MIN_MESSAGE_ID = "00000000000000000000000000000000";
export declare const MAX_MESSAGE_ID = "vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv";
export declare const messageIdPattern: RegExp;
export declare function getKey(clock: number, value: Uint8Array): Uint8Array;
export declare const encodeId: (id: string) => Uint8Array;
export declare const decodeId: (key: Uint8Array) => string;
